Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.reflection
Interface XClass

All Superinterfaces:
  XAnnotatedElement

    public interface XClass

extends XAnnotatedElement

Author:
  Paolo Perrotta, Davide Marchignoli

Field Summary
`static String` | `ACCESS_FIELD`
`static String` | `ACCESS_PROPERTY`
`static Filter` | `DEFAULT_FILTER`

Method Summary
`List<XMethod>` | `getDeclaredMethods()` Returns the `Method`s defined by this class.
`List<XProperty>` | `getDeclaredProperties(String accessType)`
`List<XProperty>` | `getDeclaredProperties(String accessType, Filter filter)`
`XClass[]` | `getInterfaces()`
`String` | `getName()`
`XClass` | `getSuperclass()`
`boolean` | `isAbstract()`
`boolean` | `isAssignableFrom(XClass c)`
`boolean` | `isEnum()`
`boolean` | `isInterface()` see Class#isInterface()
`boolean` | `isPrimitive()`

Methods inherited from interface org.hibernate.reflection.XAnnotatedElement
`equals, getAnnotation, getAnnotations, isAnnotationPresent`

Field Detail

### ACCESS_PROPERTY

    static final String ACCESS_PROPERTY

See Also:
  Constant Field Values

### ACCESS_FIELD

    static final String ACCESS_FIELD

See Also:
  Constant Field Values

### DEFAULT_FILTER

    static final Filter DEFAULT_FILTER

Method Detail

### getName

    String getName()

### getSuperclass

    XClass getSuperclass()

  See Also:
    `Class.getSuperclass()`

### getInterfaces

    XClass[] getInterfaces()

  See Also:
    `Class.getInterfaces()`

### isInterface

    boolean isInterface()

  see Class#isInterface()

### isAbstract

    boolean isAbstract()

### isPrimitive

    boolean isPrimitive()

### isEnum

    boolean isEnum()

### isAssignableFrom

    boolean isAssignableFrom(XClass c)

### getDeclaredProperties

    List<XProperty> getDeclaredProperties(String accessType)

### getDeclaredProperties

    List<XProperty> getDeclaredProperties(String accessType,
                                          Filter filter)

### getDeclaredMethods

    List<XMethod> getDeclaredMethods()

  Returns the `Method`s defined by this class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD